
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus {
    -webkit-box-shadow: 0 0 0px 1000px white inset;
    transition: background-color 5000s ease-in-out 0s; 
}

input:-moz-autofill {
    box-shadow: 0 0 0px 1000px white inset; 
    -moz-text-fill-color: #000; 
}

.small_font {
    font-size: 12px;
}

.password-toggle:hover {
    cursor: pointer;
}

.form-control {
    height: auto !important;
}

.input-group input:focus,
.input-group select:focus {
    border: 1px solid #4DAC51 !important;
}

.input-group select:valid {
    border: 2px solid #4DAC51 !important; 
}
.mc_input-group {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    width: 100%;
  }
  .mc_input-group.input-group-outline .form-control {
    background: none;
    border: 1px solid #d2d6da;
    border-radius: 0.375rem;
    border-top-left-radius: 0.375rem !important;
    border-bottom-left-radius: 0.375rem !important;
    padding: 0.625rem 0.75rem !important;
    line-height: 1.3 !important;
  }
  .mc_input-group.input-group-outline .form-label {
    display: flex;
    line-height: 3.925 !important;
    top: -0.375rem;
    margin-bottom: 0;
  }
  .mc_input-group .form-label {
      position: absolute;
      top: 0.6125rem;
      margin-left: 0;
      transition: 0.2s ease all;
  }
  .mc_input-group.input-group-outline .form-label:before {
    content: "";
    margin-right: 4px;
    border-left: solid 1px transparent;
    border-radius: 4px 0;
  }
  
  .mc_input-group.input-group-outline .form-label:after {
    content: "";
    flex-grow: 1;
    margin-left: 4px;
    border-right: solid 1px transparent;
    border-radius: 0 5px;
  }
  
  .mc_input-group.input-group-outline .form-label:before,
  .mc_input-group.input-group-outline .form-label:after {
    content: "";
    border-top: solid 1px;
    border-top-color: #d2d6da;
    pointer-events: none;
    margin-top: 0.375rem;
    box-sizing: border-box;
    display: block;
    height: 0.5rem;
    width: 0.625rem;
    border-width: 1px 0 0;
    border-color: transparent;
  }
  
  .mc_input-group.input-group-outline.is-focused .form-label+.form-control,
  .mc_input-group.input-group-outline.is-filled .form-label+.form-control {
    border-color: #4DAC51 !important;
    border-top-color: transparent !important;
    box-shadow: inset 1px 0 #4DAC51, inset -1px 0 #4DAC51, inset 0 -1px #4DAC51;
  }
  
  .mc_input-group.input-group-outline.is-focused .form-label,
  .mc_input-group.input-group-outline.is-filled .form-label {
    width: 100%;
    height: 100%;
    font-size: 0.6875rem !important;
    color: #4DAC51;
    display: flex;
    line-height: 1.25 !important;
  }
  
  .mc_input-group.input-group-outline.is-focused .form-label:before,
  .mc_input-group.input-group-outline.is-focused .form-label:after,
  .mc_input-group.input-group-outline.is-filled .form-label:before,
  .mc_input-group.input-group-outline.is-filled .form-label:after {
    opacity: 1;
  }
  
  .mc_input-group.input-group-outline.is-focused .form-label:before,
  .mc_input-group.input-group-outline.is-focused .form-label:after,
  .mc_input-group.input-group-outline.is-filled .form-label:before,
  .mc_input-group.input-group-outline.is-filled .form-label:after {
    border-top-color: #4DAC51;
    box-shadow: inset 0 1px #4DAC51;
  }


.mc_inputgroup {
    position: relative;
    width: 100%;
    width: 100%;
    display: flex; 
    align-items: center;
}

.mc_input-field {
    flex: 1;
    border: 2px solid #ccc;
    padding: 8px; 
    margin: 4px 0px;
    border-radius: 4px;
    outline: none;
    width: 100%;
    padding-right: 35px;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

.mc_input-field:focus {
    /* border-color: #4DAC51; */
    border: 2px solid #4DAC51
    /* box-shadow: 0 0 5px rgba(0, 128, 0, 0.5); */
}

#mc_password-toggle {
    position: absolute;
    right: 10px;
    cursor: pointer;
    color: #888;
    font-size: 18px;
    transition: color 0.3s ease;
}

#mc_password-toggle:hover {
    color: #4DAC51;
}

